@import url("https://fonts.googleapis.com/css2?family=Lexend+Deca&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;700&display=swap");
/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
:root {
  --font-size: 15px;
  --clr-primary-900: hsl(233, 47%, 7%);
  --clr-primary-500: hsl(244, 38%, 16%);
  --clr-primary-300: hsl(277, 64%, 61%);
  --clr-neutral-900: hsl(0, 0%, 100%);
  --clr-neutral-500: hsla(0, 0%, 100%, 0.75);
  --clr-neutral-400: hsla(0, 0%, 100%, 0.6);
  --font-family-inter: "Inter", sans-serif;
  --font-family-lexend-deca: "Lexend Deca", sans-serif;
}

* {
  padding: 0;
  margin: 0;
}

body {
  font-size: var(--font-size);
  font-weight: 400;
  font-family: var(--font-family-inter);
  background: var(--clr-primary-900);
  color: var(--clr-neutral-500);
}

main {
  background: var(--clr-primary-500);
  display: flex;
  flex-direction: column;
  margin: 6rem 2rem;
  border-radius: 0.5rem;
  max-width: 1120px;
}
@media (min-width: 768px) {
  main {
    flex-direction: row-reverse;
    margin-top: 10rem;
    margin-bottom: 10rem;
  }
}
@media (min-width: 1200px) {
  main {
    margin-left: auto;
    margin-right: auto;
  }
}
main > * {
  flex-basis: 100%;
  flex-grow: 0;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 1.5rem;
}
@media (min-width: 768px) {
  .card {
    padding: 4rem 4.5rem;
  }
}
.card .card-body {
  text-align: center;
  margin-bottom: 2rem;
}
@media (min-width: 768px) {
  .card .card-body {
    text-align: initial;
    margin-bottom: 4rem;
  }
}
.card .card-body .card-title {
  color: var(--clr-neutral-900);
  font-weight: 700;
  font-size: 1.5rem;
  margin-bottom: 1rem;
}
@media (min-width: 768px) {
  .card .card-body .card-title {
    font-size: 2.25rem;
    line-height: 2.5rem;
    margin-bottom: 2rem;
  }
}
.card .card-body p {
  line-height: 1.5rem;
  color: var(--clr-neutral-400);
}
@media (min-width: 768px) {
  .card .card-body p {
    font-size: 1rem;
    max-width: 40ch;
  }
}
.card .card-stats {
  display: flex;
  color: var(--clr-neutral-400);
  flex-direction: column;
  align-items: center;
  text-align: center;
}
@media (min-width: 768px) {
  .card .card-stats {
    flex-direction: row;
    text-align: initial;
  }
}
.card .card-stats > * {
  flex: 1;
  margin-bottom: 1.5rem;
}
@media (min-width: 768px) {
  .card .card-stats > * {
    margin-bottom: 0;
  }
}
.card .card-stats .title {
  font-size: 1.5rem;
  color: var(--clr-neutral-900);
  font-weight: 700;
}
.card .card-stats .subtitle {
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  font-size: 0.75rem;
}

.img-container {
  background: url("./images/image-header-mobile.jpg") rgba(170, 92, 219, 0.9);
  background-size: cover;
  background-blend-mode: multiply;
  background-repeat: no-repeat;
  position: relative;
  min-height: 220px;
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;
}
@media (min-width: 768px) {
  .img-container {
    border-top-left-radius: 0;
    border-bottom-right-radius: 0.5rem;
    background: url("./images/image-header-desktop.jpg") rgba(170, 92, 219, 0.9);
    background-size: cover;
    min-width: 220px;
    max-width: 540px;
  }
}

mark {
  color: var(--clr-primary-300);
  background-color: transparent;
}

/*# sourceMappingURL=style.css.map */
